<template>
  <q-layout view="hHh Lpr lff">
    <q-header elevated style="background: #61cb34; margin-top: 0px">
      <q-toolbar>
        <q-toolbar-title><img style="max-width: 11.53rem" src="http://jarkons.co.id/assets/frontend/images/jarkons/logo/logo_big.png"></q-toolbar-title>
        <q-avatar>
          <img src="https://cdn.quasar.dev/img/avatar.png">
        </q-avatar>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="drawer"
      show-if-above
      :width="200"
      :breakpoint="500"
      bordered
      style="background: white"
    >

      <q-scroll-area class="fit">
        <template>
          <div class="q-pa-md q-gutter-sm">
            <q-tree
              :nodes="simple"
              node-key="label"
              no-connectors
            />
          </div>
        </template>
      </q-scroll-area>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  data () {
    return {
      drawer: true,

      simple: [
        {
          label: 'Profile',
          icon: '',
          children: [
            { label: 'Biodata Pribadi' },
            { label: 'Alamat' }
          ]
        },

        {
          label: 'Provider',
          icon: '',
          children: [
            { label: 'Profil Provider' },
            { label: 'Produk Saya' },
            { label: 'Pesan Provider' }
          ]
        },

        {
          label: 'Upgrade Level',
          icon: '',
        },

        {
          label: 'Monitoring',
          icon: '',
          children: [
            { label: 'Biodata Pribadi' },
            { label: 'Alamat' }
          ]
        },

        {
          label: 'Approval',
          icon: '',
          children: [
            { label: 'Biodata Pribadi' },
            { label: 'Alamat' }
          ]
        },

        {
          label: 'Data Referensi',
          icon: '',
          children: [
            { label: 'Biodata Pribadi' },
            { label: 'Alamat' }
          ]
        },
      ]





    }
  }
}
</script>

<style scoped>
.my-menu-link{ background: #61cb33}
</style>
